package org.springframework.flex.samples;

import org.springframework.flex.core.ExceptionTranslator;
import org.springframework.stereotype.Component;

import flex.messaging.MessageException;

@Component
public class LoggingExceptionTranslator implements ExceptionTranslator{

	public boolean handles(Class<?> exceptionType) {
		return true;
	}

	public MessageException translate(Throwable ex) {
		ex.printStackTrace();
		return new MessageException(ex);
	}

}
